package com.mtcarpenter.mall.portal.config;


import com.mtcarpenter.mall.common.util.JsonUtils;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


/**
 * @author xiezt
 */
@Data
@ConfigurationProperties(prefix = "wx.mp")
@Component("properties")
public class WxMpProperties {
    /**
     * 设置微信公众号的appid
     */
    private String appId;

    /**
     * 设置微信公众号的app secret
     */
    private String secret;

    /**
     * 设置微信公众号的token
     */
    private String token;

    /**
     * 设置微信公众号的EncodingAESKey
     */
    private String aesKey;

    @Override
    public String toString() {
        return JsonUtils.toJson(this);
    }
}
